Espacios de trabajo
Actualizar espacio de trabajo
Actualiza el nombre de un espacio de trabajo.
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
/
{workspace_id}
Actualizar espacio de trabajo
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Cuerpo
application/json
Esquema de solicitud para crear o actualizar un espacio de trabajo.
Nombre para mostrar del espacio de trabajo
Required string length:
1 - 255Respuesta
Cuenta UUID propietaria del espacio de trabajo
UUID del espacio de trabajo
Nombre para mostrar del espacio de trabajo
Marca de tiempo de creación del espacio de trabajo
Estado del ciclo de vida del espacio de trabajo
Marca de tiempo de la última actualización del espacio de trabajo
¿Esta página le ayudó?
⌘I
Actualizar espacio de trabajo
